Bug 202883 - XEN - Unable to find any devices of the type needed for this installation type.
XEN - Unable to find any devices of the type needed for this installation type.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
6
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Jeremy Katz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-16 17:46 EDT by IBM Bug Proxy
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-22 17:08:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tar ball with /var/log/xen* files and a screen print of error screen (269.11 KB, application/octet-stream)
2006-08-16 17:46 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 26336 None None None Never

  None (edit)
Description IBM Bug Proxy 2006-08-16 17:46:07 EDT
LTC Owner is: nivedita@us.ibm.com
LTC Originator is: dbarrera@us.ibm.com


Problem description:
Attempting to install a guest domain using the xenguest-install.py script.
Dialog box comes up indicating 'No driver found'.

Software Environment
Installed FC6 Rawhide directly from RH Fedora mirror site on August 14th:

http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/os/

# uname -a
Linux leaf9.ltc.austin.ibm.com 2.6.17-1.2564.fc6xen #1 SMP Mon Aug 14 01:35:33
EDT 2006 x86_64 x86_64 x86_64 GNU/Linux


Hardware Environment
IBM HS20 8843 Blade, x86_64

Is this reproducible?
Yes. Just run the xenguest-install.py script and install guest via http:

[root@leaf9 xen]# xenguest-install.py 

]# xenguest-install.py 
What is the name of your virtual machine? vm1
 How much RAM should be allocated (in megabytes)? 512
 What would you like to use as the disk (path)? /tmp/hda
 How large would you like the disk to be (in gigabytes)? 6
 What is the install location? http://download.fedora.redhat.com/pub/fedora/linu
x/core/development/x86_64/os/
 
Starting install...
Bootdata ok (command line is   root=/dev/xvd method=http://download.fedora.redha
t.com/pub/fedora/linux/core/development/x86_64/os/ )
Linux version 2.6.17-1.2566.fc6xen (brewbuilder@hs20-bc1-6.build.redhat.com) (gc
c version 4.1.1 20060811 (Red Hat 4.1.1-16)) #1 SMP Mon Aug 14 23:58:41 EDT 2006
BIOS-provided physical RAM map:
 Xen: 0000000000000000 - 0000000020800000 (usable)
..............

Did the system produce an OOPS message on the console? NO.
--------------------------------------------------------------------------------

Welcome to Fedora Core                                                          
                                                                                
                                                                                
                                                                                
                                                                                
            ┌─────────────────┤ No driver found ├──────────────────�?            
            │                                                      │            
            │       Unable to find any devices of the type         │            
            │       needed for this installation type.             │            
            │       Would you like to manually select your         │            
            │       driver or use a driver disk?                   │            
            │                                                      │            
            │ ┌───────────────�?   ┌───────────────────�?  ┌──────�?  │            
            │ │ Select driver │   │ Use a driver disk │  │ Back │  │            
            │ └───────────────┘   └───────────────────┘  └──────┘  │            
            │                                                      │            
            │                                                      │            
            └──────────────────────────────────────────────────────┘            
                                                                                
                                                                                
                                                                                
                                                                                
                                                                                
  <Tab>/<Alt-Tab> between elements  | <Space> selects | <F12> next screen

Updated to today's kernel on host, 2.6.17-1.2566.fc6xen, no make sure everything
is in sync. No difference in results.
Comment 1 IBM Bug Proxy 2006-08-16 17:46:13 EDT
Created attachment 134350 [details]
tar ball with /var/log/xen* files and a screen print of error screen
Comment 2 Jeremy Katz 2006-08-22 17:08:17 EDT
There have been a few things breaking guest installs recently, but the
libvirt/xeninst interactions should all be happy now.

There's something now with kernels oopsing on boot, but that's a separate issue

Note You need to log in before you can comment on or make changes to this bug.